<?php

namespace patest\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RefreshClientPassPhrasesResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:RefreshClientPassPhrasesResponse
 * @subpackage Structs
 */
class RefreshClientPassPhrasesResponse extends AbstractStructBase
{
    /**
     * The PassPhrases
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $PassPhrases;
    /**
     * Constructor method for RefreshClientPassPhrasesResponse
     * @uses RefreshClientPassPhrasesResponse::setPassPhrases()
     * @param string $passPhrases
     */
    public function __construct($passPhrases = null)
    {
        $this
            ->setPassPhrases($passPhrases);
    }
    /**
     * Get PassPhrases value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getPassPhrases()
    {
        return isset($this->PassPhrases) ? $this->PassPhrases : null;
    }
    /**
     * Set PassPhrases value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $passPhrases
     * @return \patest\StructType\RefreshClientPassPhrasesResponse
     */
    public function setPassPhrases($passPhrases = null)
    {
        // validation for constraint: string
        if (!is_null($passPhrases) && !is_string($passPhrases)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($passPhrases, true), gettype($passPhrases)), __LINE__);
        }
        if (is_null($passPhrases) || (is_array($passPhrases) && empty($passPhrases))) {
            unset($this->PassPhrases);
        } else {
            $this->PassPhrases = $passPhrases;
        }
        return $this;
    }
}
